- Main Page
- Related Pages
- Modules
- Classes
- Files

Modules
GLM Core

## Modules
| Common functions
| Exponential functions
| Geometric functions
| Integer functions
| Matrix functions
| Noise functions
| Floating-Point Pack and Unpack Functions
| Angle and Trigonometry Functions
| Vector Relational Functions
| Types
| Precision types
| Template types

## Detailed Description

The core of GLM, which implements exactly and only the GLSL specification to the degree possible.

The GLM core consists of C++ types that mirror GLSL types and C++ functions that mirror the GLSL functions. It also includes a set of precision-based types that can be used in the appropriate functions. The C++ types are all based on a basic set of template types.

The best documentation for GLM Core is the current GLSL specification, version 4.2 (pdf file). There are a few differences between GLM core and GLSL.

GLM core functionnalities require <glm/glm.hpp> to be included to be used.